org.jboss.jca.core.connectionmanager.notx

## Class NoTxConnectionManagerImpl

- java.lang.Object
- - org.jboss.jca.core.connectionmanager.AbstractConnectionManager
  - - org.jboss.jca.core.connectionmanager.notx.NoTxConnectionManagerImpl

- All Implemented Interfaces:
    java.io.Serializable, javax.resource.spi.ConnectionManager, javax.resource.spi.LazyAssociatableConnectionManager, javax.resource.spi.LazyEnlistableConnectionManager, org.jboss.jca.core.api.connectionmanager.listener.ConnectionCacheListener, NoTxConnectionManager, org.jboss.jca.core.spi.graceful.GracefulShutdown

      public class NoTxConnectionManagerImpl
      extends AbstractConnectionManager
      implements NoTxConnectionManager

  Non transactional connection manager implementation.
  Author:
    Gurkan Erdogdu, Jesper Pedersen
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.jboss.jca.core.connectionmanager.AbstractConnectionManager

      `connectable, enlistment, enlistmentTrace, tracking`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NoTxConnectionManagerImpl()` Default constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ConnectionListener` | `createConnectionListener(javax.resource.spi.ManagedConnection managedConnection, ManagedConnectionPool mcp)` Create a managed connection listener for the managed connection.
    `protected CoreLogger` | `getLogger()` Get the logger.
    `org.jboss.jca.core.spi.transaction.TransactionIntegration` | `getTransactionIntegration()` Get the transaction integration.
    `boolean` | `isTransactional()` Determine whether there connection is a transactional.
    `void` | `transactionStarted(java.util.Collection<ConnectionRecord> conns)` Notification of transaction started

    - ### Methods inherited from class org.jboss.jca.core.connectionmanager.AbstractConnectionManager

      `allocateConnection, associateConnection, associateManagedConnection, cancelShutdown, disconnectManagedConnection, dissociateManagedConnection, getAllocationRetry, getAllocationRetryWaitMillis, getCachedConnectionManager, getDelay, getEnlistmentTrace, getFlushStrategy, getJndiName, getManagedConnection, getManagedConnection, getManagedConnectionFactory, getPool, getSecurityDomain, getSubjectFactory, getTracking, inactiveConnectionClosed, isConnectable, isEnlistment, isSharable, isShutdown, lazyEnlist, managedConnectionDisconnected, managedConnectionReconnected, prepareShutdown, prepareShutdown, prepareShutdown, prepareShutdown, reconnectManagedConnection, returnManagedConnection, setAllocationRetry, setAllocationRetryWaitMillis, setCachedConnectionManager, setConnectable, setEnlistment, setEnlistmentTrace, setFlushStrategy, setJndiName, setPool, setSecurityDomain, setSharable, setSubjectFactory, setTracking, shutdown, unregisterAssociation`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.jboss.jca.core.connectionmanager.ConnectionManager

      `getAllocationRetry, getAllocationRetryWaitMillis, getCachedConnectionManager, getJndiName, getPool, getSecurityDomain, getSubjectFactory, isEnlistment, isSharable, setJndiName, unregisterAssociation`

    - ### Methods inherited from interface org.jboss.jca.core.api.connectionmanager.ConnectionManager

      `associateManagedConnection, dissociateManagedConnection, returnManagedConnection`

    - ### Methods inherited from interface javax.resource.spi.ConnectionManager

      `allocateConnection`

    - ### Methods inherited from interface javax.resource.spi.LazyAssociatableConnectionManager

      `associateConnection, inactiveConnectionClosed`

    - ### Methods inherited from interface javax.resource.spi.LazyEnlistableConnectionManager

      `lazyEnlist`

    - ### Methods inherited from interface org.jboss.jca.core.spi.graceful.GracefulShutdown

      `cancelShutdown, getDelay, isShutdown, prepareShutdown, prepareShutdown, prepareShutdown, prepareShutdown, shutdown`

- - ### Constructor Detail

    - #### NoTxConnectionManagerImpl

          public NoTxConnectionManagerImpl()

      Default constructor.

  - ### Method Detail

    - #### getLogger

          protected CoreLogger getLogger()

      Get the logger.
      Specified by:
        `getLogger` in class `AbstractConnectionManager`
      Returns:
        The value

    - #### createConnectionListener

          public ConnectionListener createConnectionListener(javax.resource.spi.ManagedConnection managedConnection,
                                                             ManagedConnectionPool mcp)
                                                      throws javax.resource.ResourceException

      Create a managed connection listener for the managed connection.
      Parameters:
        `managedConnection` - the managed connection
        `mcp` - the managed connection pool
      Returns:
        a new connection event listener
      Throws:
        `javax.resource.ResourceException` - for any error

    - #### transactionStarted

          public void transactionStarted(java.util.Collection<ConnectionRecord> conns)
                                  throws javax.transaction.SystemException

      Description copied from class: `AbstractConnectionManager`
      Notification of transaction started
      Specified by:
        `transactionStarted` in class `AbstractConnectionManager`
      Parameters:
        `conns` - the connections
      Throws:
        `javax.transaction.SystemException` - for any error

    - #### getTransactionIntegration

          public org.jboss.jca.core.spi.transaction.TransactionIntegration getTransactionIntegration()

      Description copied from class: `AbstractConnectionManager`
      Get the transaction integration.
      Specified by:
        `getTransactionIntegration` in class `AbstractConnectionManager`
      Returns:
        the transaction integration

    - #### isTransactional

          public boolean isTransactional()

      Description copied from class: `AbstractConnectionManager`
      Determine whether there connection is a transactional.
      Specified by:
        `isTransactional` in class `AbstractConnectionManager`
      Returns:
        whether it is a transactional or not

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)